Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163108 - Need RHN_SYNCH_PROBE_STATE modified
Summary: Need RHN_SYNCH_PROBE_STATE modified
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: James Slagle
QA Contact: Vlady Zlatkin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-12 22:15 UTC by Mike McCune
Modified: 2007-10-24 02:16 UTC (History)
1 user (show)

Fixed In Version: RHN 4.0.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-01 03:03:53 UTC


Attachments (Terms of Use)
Updated Procedure (deleted)
2005-07-12 22:17 UTC, Mike McCune
no flags Details

Description Mike McCune 2005-07-12 22:15:18 UTC
We no longer rely on the rhn_current_state_summaries table to display probe
state data in the UI.  This table is generally not needed anymore and we can
consider dropping it in 410.

For now we need to remove some of the logic from the RHN_SYNCH_PROBE_STATE
stored proc.  Attached is an updated version of the procedure.  Basically we
took out the bottom part of the procedure.

Comment 1 Mike McCune 2005-07-12 22:17:42 UTC
Created attachment 116690 [details]
Updated Procedure

Comment 2 James Slagle 2005-07-14 02:54:19 UTC
Modified satellite schema and applied to hosted.

Comment 3 James Slagle 2005-07-14 21:59:03 UTC
Mike, can you provide a testplan?

Comment 4 Mike McCune 2005-07-14 22:02:14 UTC
TESTPLAN:

1) Create a new probe against a system
2) Wait 5 minutes
3) Click Monitoring at the top level.
4) Verify that the new probe shows up in the Pending count
5) Click the Pending count and verify that the new probe shows up.

Comment 5 Vlady Zlatkin 2005-07-22 18:27:20 UTC
prod ready


Note You need to log in before you can comment on or make changes to this bug.